Create batch template

Creates a batch template.

A batch template is a collection of analysis settings that are used to generate report views in UnderwriteIQ. Batch templates may specify model profile settings, event rate sets, output profile versions, analysis settings including DLM configurations and analysis currency, and report settings.

Batch templates created using this operation can be used as analysis templates in the UnderwriteIQ application. To learn more, see Workflow Builder in Help Center.

A sample request:

{
  "name": "Test_Batch_Template_API_1",
  "settings": "{\"analysisSettings\":{\"currency\":{\"asOfDate\":\"2025-05-28T00:00:00.000Z\",\"currency\":\"USD\",\"currencyScheme\":\"RMS\",\"currencyVersion\":\"RL25\"},\"dlmSettings\":{\"franchiseDeductible\":false,\"minLossThreshold\":\"1.00\",\"numMaxLossEvent\":\"1\",\"treatConstructionOccupancyAsUnknown\":true}},\"asDefault\":false,\"createdBy\":\"Alapati Jahnavi\",\"createdDate\":\"2025-06-25\",\"geocodeHazard\":[],\"groupings\":[],\"id\":\"dc986130-b988-4264-976c-f680cf7c8464\",\"jobName\":\"Default_UIQAutomation_WFB_Job\",\"marginalImpacts\":[],\"modifiedDate\":\"2025-06-25\",\"pricing\":{},\"profiles\":{\"modelAnalyses\":[{\"currency\":{\"asOfDate\":\"2025-05-28T00:00:00.000Z\",\"currency\":\"USD\",\"currencyScheme\":\"RMS\",\"currencyVersion\":\"RL25\"},\"eventRateSet\":6888,\"id\":1,\"isDefaultCurrency\":true,\"modelProfile\":2146,\"pricing\":false},{\"currency\":{\"asOfDate\":\"2025-05-28T00:00:00.000Z\",\"currency\":\"USD\",\"currencyScheme\":\"RMS\",\"currencyVersion\":\"RL25\"},\"eventRateSet\":6888,\"id\":1,\"isDefaultCurrency\":true,\"modelProfile\":2157,\"pricing\":false}],\"outputProfile\":{\"outputProfileId\":363,\"perspective\":\"C0,CG,CL,EL,FA,G2,GR,GS,GU,I0,IG,LG,M0,MG,NP,OI,OL,QS,RC,RG,RL,RN,RP,SS,TV,UC,WX,UNCERTAINTY,HAZARD,DAMAGE\"}},\"reportName\":\"Default_UIQAutomation_WFB_Report\",\"reportSettings\":{\"exposureSummary\":false,\"locationDetails\":false},\"templateName\":\"Default_UIQAutomation_WFB\",\"isPreConfiguredWB\":true}",
  "entitlement": "RI-UNDERWRITEIQ"
}

🍊

Postman Collection

Moody's Insurance Solutions makes sample code available in a Postman Collection that you can download from the RMS Developers public workspace: Batch Templates (UIQ)

🪰

Permissions

UnderwriteIQ Admin

🪰

Entitlements

RI-UNDERWRITEIQ

Body Params
string
required

Name of batch template.

string
required

Batch template settings and configuration in JSON format.

string
enum
required

Entitlement used to create job.

Allowed:
Responses

400

Bad request

500

Internal Server Error

Language
Credentials
URL
Response
Choose an example:
*/*